/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.core.descriptor;

import java.util.Collection;

import org.w3c.dom.Document;

import org.apache.muse.core.Environment;
import org.apache.muse.util.xml.XmlSerializable;
import org.apache.muse.ws.addressing.soap.SoapFault;

/**
 *
 * @author Dan Jemiolo (danj)
 * 
 */

public interface DeploymentDescriptor extends XmlSerializable
{
    Collection getResourceDefinitions();
    
    RouterDefinition getRouterDefinition();
    
    Collection getSerializerDefinitions();
    
    void load(Document descriptorDoc, Environment environment)
        throws SoapFault;
    
    void setResourceDefinitions(Collection definitions);
    
    void setRouterDefinition(RouterDefinition definition);
    
    void setSerializerDefinitions(Collection definitions);
}
