/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.core.descriptor;

import javax.xml.namespace.QName;

import org.apache.muse.core.Environment;
import org.apache.muse.core.serializer.Serializer;
import org.apache.muse.util.ReflectUtils;

/**
 *
 * @author Dan Jemiolo (danj)
 *
 */

public class SerializerDefinition
{
    private Environment _environment = null;
    
    private Class _serializableType = null;
    
    private Class _serializerClass = null;
    
    private QName _xsdType = null;
    
    public Serializer create()
    {
        return (Serializer)ReflectUtils.newInstance(getSerializerClass());
    }
    
    public Environment getEnvironment()
    {
        return _environment;
    }
    
    public QName getSchemaType()
    {
        return _xsdType;
    }
    
    public Class getSerializableType()
    {
        return _serializableType;
    }
    
    public Class getSerializerClass()
    {
        return _serializerClass;
    }
    
    public void setEnvironment(Environment environment)
    {
        _environment = environment;
    }
    
    public void setSchemaType(QName xsdType)
    {
        _xsdType = xsdType;
    }
    
    public void setSerializableType(Class serializableType)
    {
        _serializableType = serializableType;
    }
    
    public void setSerializerClass(Class serializerClass)
    {
        _serializerClass = serializerClass;
    }
}
