/* 
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 *
 */

package org.apache.muse.core.routing;

import org.apache.muse.core.Persistence;
import org.apache.muse.core.ResourceManagerListener;

/**
 * 
 * RouterPersistence is an interface for components that will serialize and 
 * deserialize the routing table (EPRs and resource types) to a persistence 
 * layer during reboots. It builds on the ResourceManagerListener interface 
 * for creation and destruction of resource instances and adds its own method 
 * for re-creating instances on startup.
 * 
 * @author Dan Jemiolo (danj)
 *
 */

public interface RouterPersistence 
    extends Persistence, ResourceManagerListener
{
    //
    // no additional methods
    //
}
